Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1593647

Description of problem:

When creating a compute resource of type EC2 (with some made up values), I click submit and get the error message:

"""

Oops, we're sorry but something went wrong uninitialized constant ComputeResourcesController::OVIRT Did you mean? Ovirt

"""

However, EC2 shouldn't have anything to do with oVirt(?).

Traceback attached.

This is a regression against 6.3.

The resource is not created after this.

Version-Release number of selected component (if applicable):

Sat 6.4, tested with snap 8

How reproducible:

Deterministic

Steps to Reproduce:

1. Infrastructure -> Compute Resources -> Create

2. Select provider EC2, fill in some random values

3. Submit

Actual results:

Error message, traceback, resource not created

Expected results:

Error message about invalid values, nothing about oVirt.

Associated revisions

Revision 9ae80a4c - 06/24/2018 05:24 PM - Ori Rabin

Fixes #24053 - Remove oVirt specific error

History

#1 - 06/24/2018 10:58 AM - Ori Rabin

- Category changed from VM management to Compute resources

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#2 - 06/24/2018 03:20 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5735 added

#3 - 06/24/2018 05:24 PM - Tomer Brisker

- translation missing: en.field_release set to 330

#4 - 06/24/2018 06:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9ae80a4cb32475a6131a7eab2ca02884348433a8.

#5 - 08/29/2018 03:12 PM - Tomer Brisker

- Triaged set to No

- Fixed in Releases 1.19.0 added
